## MateImageMenuItem

MateImageMenuItem

## Functions

GtkWidget * | mate_image_menu_item_new ()
GtkWidget * | mate_image_menu_item_new_with_label ()
GtkWidget * | mate_image_menu_item_new_with_mnemonic ()
void | mate_image_menu_item_set_image ()
GtkWidget * | mate_image_menu_item_get_image ()

## Includes

    #include <mate-thumbnail.h>

## Description

## Functions

### mate_image_menu_item_new ()

    GtkWidget *
    mate_image_menu_item_new (void);

Creates a new MateImageMenuItem with an empty label.

#### Returns

a new MateImageMenuItem

### mate_image_menu_item_new_with_label ()

    GtkWidget *
    mate_image_menu_item_new_with_label (const gchar *label);

Creates a new MateImageMenuItem containing a label.

#### Parameters

label | the text of the menu item. |

#### Returns

a new MateImageMenuItem.

### mate_image_menu_item_new_with_mnemonic ()

    GtkWidget *
    mate_image_menu_item_new_with_mnemonic
                                   (const gchar *label);

Creates a new MateImageMenuItem containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the menu item.

#### Parameters

label | the text of the menu item, with an underscore in front of the mnemonic character |

#### Returns

a new MateImageMenuItem

### mate_image_menu_item_set_image ()

    void
    mate_image_menu_item_set_image (MateImageMenuItem *image_menu_item,
                                    GtkWidget *image);

Sets the image of `image_menu_item` to the given widget. Note that it depends on the show-menu-images setting whether the image will be displayed or not.

#### Parameters

image_menu_item | a MateImageMenuItem. |
image | a widget to set as the image for the menu item. | [allow-none]

### mate_image_menu_item_get_image ()

    GtkWidget *
    mate_image_menu_item_get_image (MateImageMenuItem *image_menu_item);

Gets the widget that is currently set as the image of `image_menu_item` . See `mate_image_menu_item_set_image()`.

#### Parameters

image_menu_item | a MateImageMenuItem |

#### Returns

the widget set as image of `image_menu_item` .

[transfer none]